Type

    ErrorLevelStringType = Record
                             N  : Byte;   {  뤠 ErrorLevel       }
                             S  : String[199]; {  ᮮ饭               }
                             E  : String[99]; {  ⥪ 뢥  p  }
                           end;

Const
{$F+}
    CurrentStateStrings : Array [0..21] of ErrorLevelStringType =
                            (
         {  0 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT ! Log file Changed! Look another information'+
                             #13#10+
                             '%D4%DD/%DM %TT = in file "%RR".%SL';
                             E:''),
         {  1 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT + Add Area %RR to XCross list.%SL';
                             E:''),
         {  2 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT ! Area %RR don''t add to XCross list - limit for area number.'+
                             #13#10+'%D4%DD/%DM %TT ! Please Register!';
                             E:''),
         {  3 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT = Message Sets Set to: %RR%SL';
                             E:''),
         {  4 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT = Create New Packet: %SS%ML8%HZ%SL.PKT';
                             E:'Create New Packet: %SS%ML8%HZ%SL.PKT'),
         {  5 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT + Message posted to echo %RC';
                             E:'%TT - + Message posted to %RC%SL'),
         {  6 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT + Message posted to %R0 (%R3)';
                             E:'%TT - + Message posted  to %R0 (%R3)%SL'),
         {  7 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT + Cludge Status Change to "%RR"%SL';
                             E:''),
         {  8 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT ! Error: Sintax in parameter - "%RR". Ignored.';
                             E:'Error: Sintax in parameter - "%RR". Ignored.%SL'),
         {  9 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT With parameters:'+#13#10+'%D4%DD/%DM %TT = %RR%SL';
                             E:''),
         { 10 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT Config File Looking...'+#13#10+
                               '%D4%DD/%DM %TT = Lines scanned : %B1'+#13#10+
                               '%D4%DD/%DM %TT = Included files: %B0'+#13#10+
                               '%D4%DD/%DM %TT = Commands found: %B2%SL';
                             E:''),
         { 11 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT XCross File Looking...%SL';
                             E:''),
         { 12 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT ! XCross File not found.%SL';
                             E:''),
         { 13 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT CCopy File Looking...%SL';
                             E:''),
         { 14 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT ! CCopy File not found.%SL';
                             E:''),
         { 15 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT ! CCopy * Error -'+#13#10+
                             '%D4%DD/%DM %TT Don''t understand address: %RR%SL';
                             E:''),
         { 16 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT = Process: %RR';
                             E:'%TT - Process %RR%SL.'),
         { 17 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT ! Not found message for posting! PKT is deleted.';
                             E:'Not found message for posting!%SL'),
         { 18 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT + Add Address %RR to CCopy list.%SL';
                             E:''),
         { 19 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT ! Address %RR don''t add to CCopy list - limit for area number.'+
                             #13#10+'%D4%DD/%DM %TT ! Please Register!';
                             E:''),
         { 20 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT = File renamed from %RR.';
                             E:''),
         { 21 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT = File %RR deleted after posting.';
                             E:'%TT - File deleted.')
                            );

    ErrorLevelStrings   : Array [0..7] of ErrorLevelStringType =
                            (
         {  0 }             (N:0;
                             S:'';
                             E:''),
         {  1 }             (N:255;
                             S:'%SS%D4%DD/%DM %TT ! Error: Unknown parameter "%RR".%SL';
                             E:'%SSError: Unknown parameter "%RR"'+#13+#10+
                               'Use POSTUTIL.EXE /? for Help%SL'),
         {  2 }             (N:254;
                             S:'%SS%D4%DD/%DM %TT ! Error when config file reading.'+#13+#10+
                               '%D4%DD/%DM %TT ?   (May be %RR not found.)%SL';
                             E:'%SSError when config file reading. May be %RR not found.%SL'),
         {  3 }             (N:253;
                             S:'%SS%D4%DD/%DM %TT ! Error when file %RR posting.%SL';
                             E:'%SSError when file %RR posting.%SL'),
         {  4 }             (N:252;
                             S:'%SS%D4%DD/%DM %TT ! Error: File found. When posting - not opened.%SL';
                             E:'%SSError! Very Strange 8-O - File found. When posting - not opened.%SL'),
         {  5 }             (N:251;
                             S:'%SS%D4%DD/%DM %TT ! Error: File %RR not found.';
                             E:'Error! File %RR not found.%SL'),
         {  6 }             (N:250;
                             S:'%SS%D4%DD/%DM %TT ! Error: Not found name for AreaFile!';
                             E:'Error! AreaFile name not found!'),
         {  7 }             (N:0;
                             S:'%SS%D4%DD/%DM %TT ! Error: Directory %RR not found.';
                             E:'Error! Directory %RR not found.%SL')
                             );

    NormalExit          : ErrorLevelStringType =
                            (N:0;
                             S:'%SS%D4%DD/%DM %TT Exiting with errorlevel %SL';
                             E:'%SSNormal exit in %TT with Errorlevel %SL');

    FatalErrorExit      : ErrorLevelStringType =
                            (N:0;
                             S:'%SS%D4%DD/%DM %TT Exiting with errorlevel %SL';
                             E:'%SSExit by Fatal Error in %TT with Errorlevel %SL');
{$F-}